package util;

/**
 * Application-wide constants.
 * 
 * @author Olivier Garrouste.
 * Creation date: 2006-02-25.
 */
public class Constant {

	// Program version.
	public static final String STR_VERSION = "1.02";

	// Default TCP port on which proxy is listening.
	public static final int DEFAULT_LISTENING_PORT = 8000;

	// Maximum number of client connection allowed.
	public static final int MAX_CLIENT_THREAD = 50;

	/**
	 * Supported mime types.
	 */
	public enum MIME_TYPE {
		UNKNOWN,				// Not supported.
		MS_ASF,					// Microsoft files.
		PLS,					// .pls files (playlists).
		MPEG,					// mpeg files.
		M3U						// .m3u files (playlists).
	}

	public static final String CONFIGURATION_FILE = "iRadio.txt";

	// List of managed protocols.
	public enum Protocol {UNKNOWN, ICY};

	/**
	 * Block size used for network I/O operations.
	 */
	public static final int TRANSFERT_BUFFER_SIZE = 4096;
	
}
