package util;

import java.text.DecimalFormat;

public class Formater {

	/**
	 * Convert a int to a two digit string left-padded with zero.
	 * 
	 * @param n
	 * @return A string.
	 */
	public static String intToStr2(int n) {
		DecimalFormat intToStr = new DecimalFormat("00");

		return intToStr.format(n);
	}

	/**
	 * Convert a int to a three digit string left-padded with zero.
	 * 
	 * @param n
	 * @return A string.
	 */
	public static String intToStr3(int n) {
		DecimalFormat intToStr = new DecimalFormat("000");

		return intToStr.format(n);
	}

	/**
	 * Convert a int to a four digit string left-padded with zero.
	 * 
	 * @param n
	 * @return A string.
	 */
	public static String intToStr4(int n) {
		DecimalFormat intToStr = new DecimalFormat("0000");

		return intToStr.format(n);
	}

	/**
	 * @param strUrl URL to convert.
	 * @return The converted URL or an empty string if an error occured.
	 */
	public static String urlToXml(String strUrl) {
		String res;
		
		if ( strUrl == null )
			return "";

		res = strUrl.replace("&", "&amp;");

		return res;
	}
}
