package valueObject;

import util.Constant.MIME_TYPE;

/**
 * Container holding the data for one radio directly extracted from the file.
 * 
 * @author Olivier Garrouste
 * Creation date: 2006-02-25.
 */
public class RadioConfigurationValueObject {

	private String genre;
	private String subgenre;
	private String name;
	private String url;
	private MIME_TYPE mimeType;

	public String toString() {
		StringBuilder str;

		str = new StringBuilder("RadioConfigurationValueObject[genre=\"");
		str.append(genre);
		str.append("\", subgenre=\"").append(subgenre);
		str.append("\", name=\"").append(name);
		str.append("\", url=\"").append(url).append("\"]");

		return str.toString();
	}

	/**
	 * @return Returns the genre.
	 */
	public String getGenre() {
		return genre;
	}

	/**
	 * @param genre The genre to set.
	 */
	public void setGenre(String genre) {
		this.genre = genre;
	}

	/**
	 * @return Returns the name.
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name The name to set.
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return Returns the subgenre.
	 */
	public String getSubgenre() {
		return subgenre;
	}

	/**
	 * @param subgenre The subgenre to set.
	 */
	public void setSubgenre(String subgenre) {
		this.subgenre = subgenre;
	}

	/**
	 * @return Returns the url.
	 */
	public String getUrl() {
		return url;
	}

	/**
	 * @param url The url to set.
	 */
	public void setUrl(String url) {
		this.url = url;
	}

	/**
	 * @return Returns the mimeType.
	 */
	public MIME_TYPE getMimeType() {
		return mimeType;
	}

	/**
	 * @param mimeType The mimeType to set.
	 */
	public void setMimeType(MIME_TYPE mimeType) {
		this.mimeType = mimeType;
	}

}
