package valueObject;

import util.Constant.MIME_TYPE;
import dao.RadioDao;

/**
 * Container holding the data of a radio.
 * 
 * @author Olivier Garrouste
 * Creation date 2003-02-25.
 */
public class RadioValueObject {

	private int id;
	private String name;
	private String url;
	private MIME_TYPE mimeType;
	private AbstractGenreValueObject abstractGenre;
	
	/**
	 * Constructor.
	 */
	public RadioValueObject() {
		id = RadioDao.getNextId();
	}

	/**
	 * @return Returns the id.
	 */
	public int getId() {
		return id;
	}

	/**
	 * @param id The id to set.
	 */
	public void setId(int id) {
		this.id = id;
	}

	/**
	 * @return Returns the name.
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name The name to set.
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return Returns the url.
	 */
	public String getUrl() {
		return url;
	}

	/**
	 * @param url The url to set.
	 */
	public void setUrl(String url) {
		this.url = url;
	}

	/**
	 * @return Returns the idMimeType.
	 */
	public MIME_TYPE getMimeType() {
		return mimeType;
	}

	/**
	 * @param idMimeType The idMimeType to set.
	 */
	public void setMimeType(MIME_TYPE idMimeType) {
		this.mimeType = idMimeType;
	}

	/**
	 * @return Returns the subgenre.
	 */
	public AbstractGenreValueObject getGenre() {
		return abstractGenre;
	}

	/**
	 * @param subgenre The subgenre to set.
	 */
	public void setGenre(AbstractGenreValueObject genre) {
		this.abstractGenre = genre;
	}

	/**
	 * Display this object content.
	 */
	public String toString() {
		StringBuilder str;

		str = new StringBuilder();
		str.append("RadioValueObject[id=").append(id);
		str.append(", name=\"").append(name);
		str.append("\", url=\"").append(url);
		str.append("\", idMimeType=").append(mimeType);
		str.append(", abstractGenre.code=\"").append(abstractGenre.getCode()).append("\"]");

		return str.toString();
	}
}
