package valueObject;

import java.util.ArrayList;

import util.Formater;
import dao.SubgenreDao;

/**
 * Container holding data for a Genre.
 * 
 * @author Olivier Garrouste
 * Creation date: 2006-02-25.
 */
public class SubgenreValueObject extends AbstractGenreValueObject {



	/**
	 * Constructor.
	 * Create a subgenre from a given genre.
	 */
	public SubgenreValueObject(GenreValueObject genre) {
		String strGenreCode;

		strGenreCode = genre.getCode();

		code = strGenreCode.substring(0, 3) + Formater.intToStr3(SubgenreDao.getNextCode());
		radioList = new ArrayList<RadioValueObject>();
	}

	/**
	 * Add a new radio to this genre.
	 * @param radio The radioList to add.
	 */
	public void addRadio(RadioValueObject radio) {
		radioList.add(radio);
	}

	/**
	 * Display this object content.
	 */
	public String toString() {
		StringBuilder str;

		str = new StringBuilder();
		str.append("SubgenreValueObject[code=\"").append(code);
		str.append("\", name=\"").append(name);
		str.append("\", radioList=").append(radioList).append("]");

		return str.toString();
	}
}
